Name:           taskbarswitch
Version:        1.0
Release:        %mkrel 7
License:        GPL v2 or later
Group:		Graphical desktop/KDE4
URL:		http://www.kde-apps.org/content/show.php/TaskbarSwitch?content=107610
Summary:        Switch one taskbar item to the left/right using shortcuts
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kde4-macros
BuildRequires:	kdelibs-devel
BuildRequires:	qt4-devel >= 4.5.0
BuildRequires:	cmake
Requires:	kdelibs
Obsoletes:	%name < %version
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1

%description
Switch one taskbar item to the left/right using shortcuts.

%description -l de
Schalten Sie ein Element in die Taskleiste links / rechts mit Verknüpfungen.

%description -l fr
Switch un élément barre des tâches vers la gauche / droite en utilisant des raccourcis.

%description -l es
Cambiar un elemento de la barra de tareas a la izquierda o derecha utilizando atajos.

%description -l pl
Przełącz na pasku zadań pozycji w lewo / w prawo za pomocą skrótów.

%description -l sr
Пребаците једну ставку траци за лево / десно помоћу пречице.

%description -l nl
Switch taakbalk een item aan de links / rechts met snelkoppelingen.

%prep
%setup -q

%build

%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%_libdir/kde4/kded_taskbarswitch.so
%_datadir/kde4/services/kded/taskbarswitch.desktop

%changelog
* Sat Jul 21 2012 Neal <nealbrks0 at gmail dot com> 1.0-7pclos2012
- process

* Sat Jul 21 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.0-7_archie_2012
- rebuild

* Mon Feb 21 2011 texstar <texstar.com>
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 1.0-5pclos2010
- rebuild for 4.5.1

* Tue Mar 09 2010 Texstar <texstar at gmail.com> 1.0-4pclos2010
- rebuild

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 1.0-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 1.0-2pclos2010
- rebuild for 2010

* Fri Aug 21 2009 Texstar <texstar at gmail.com> 1.0-1pclos2009
- create

